<section class="webgis">
  <div class="container py-5">
    <div class="row">
      <div class="col">
        <h1 class="py-2">
          WebGIS
        </h1>
        <div class="pt-2 pb-4">
          Transformasi digital pada pemanfaatan data geospasial sektoral.
        </div>
        <!-- <app-error-request *ngIf="(error$ | async) && !(loading$ | async)"
                           [errorMessages]="(error$ | async)"
                           (reloadTrigger)="getWebgis()"></app-error-request>
        <div class="row mt-3"
             *ngIf="(loading$ | async)">
          <div class="col-md my-2">
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
          </div>
        </div> -->
        <!-- <div>
          <a [href]="item.url"
             *ngFor="let item of webgis"
             target="_blank">
            <div class="card mt-3">
              <div class="card-body d-flex align-items-center">
                <img class="me-3"
                     src="assets/img/pdf.svg" />
                <div>{{ item.name }}</div>
              </div>
            </div>
          </a>
        </div> -->
        <div class="table-paging">
          <div class="table-responsive">
            <table class="table table-striped">
              <thead class="table-success">
                <tr>
                  <th class="table-head bg-green-600 text-white"
                      [isSortable]="true"
                      [currentSort]="{
                      sort: filterWebgis.sort,
                      direction: filterWebgis.direction
                    }"
                      (filterSort)="filterSort($event)"
                      scope="col"
                      jds-table-head
                      column="name">
                    Name WebGIS
                  </th>
                  <th class="table-head"
                      [isSortable]="true"
                      [currentSort]="{
                      sort: filterWebgis.sort,
                      direction: filterWebgis.direction
                    }"
                      (filterSort)="filterSort($event)"
                      scope="col"
                      jds-table-head
                      column="skpd">
                    Perangkat Daerah
                  </th>
                  <th class="table-head"
                      [isSortable]="false"
                      scope="col"
                      jds-table-head
                      column="link">
                  </th>
                </tr>
              </thead>
              <tbody>
                <ng-container *ngIf="loading$ | async">
                  <tr *ngFor="let tr of [0, 1, 2, 3, 4, 5]">
                    <td *ngFor="let td of totalColumn">
                      <span class="placeholder col-12"></span>
                    </td>
                  </tr>
                </ng-container>

                <ng-container *ngIf="(loading$ | async) === false">
                  <ng-container *ngIf="webgis.length > 0">
                    <tr *ngFor="let row of webgis">
                      <td>{{ row.name }}</td>
                      <td>{{ row.skpd }}</td>
                      <td><a [href]="row.link"
                           target="_blank"
                           class="btn btn-success text-white fw-normal">Kunjungi</a></td>
                    </tr>
                  </ng-container>

                  <ng-container *ngIf="webgis.length === 0">
                    <ng-container *ngIf="filterWebgis.search; else emptyError">
                      <tr>
                        <td class="text-center"
                            [attr.colspan]="totalColumn.length">
                          Maaf, hasil pencarian tidak ditemukan.
                        </td>
                      </tr>
                    </ng-container>
                  </ng-container>
                  <ng-template #emptyError>
                    <tr>
                      <td class="text-center"
                          [attr.colspan]="totalColumn.length">
                        Maaf, belum ada data yang dapat diakses.
                      </td>
                    </tr>
                  </ng-template>
                </ng-container>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col">
        <app-pagination [filterInput]="filterWebgis"
                        (filterOutputPerPage)="filterPage()"></app-pagination>
      </div>
    </div>
  </div>
</section>